Package Details: enlightenment-git 0.24.0.beta1.24079.gd63f4a53e-1

Git Clone URL: https://aur.archlinux.org/enlightenment-git.git (read-only, click to copy)
Package Base: enlightenment-git
Description: Enlightenment window manager - Development version
Upstream URL: http://www.enlightenment.org
Licenses: BSD
Conflicts: enlightenment
Provides: enlightenment=0.24.0.beta1.24079.gd63f4a53e, notification-daemon
Submitter: Scimmia
Maintainer: raster
Last Packager: raster
Votes: 64
Popularity: 0.35
First Submitted: 2014-01-08 21:25
Last Updated: 2020-05-14 09:28

Dependencies (22)

Required by (47)

Sources (1)

Latest Comments

« First ‹ Previous ... 3 4 5 6 7 8 9 10 11 12 13 ... Next › Last »

Scimmia commented on 2014-03-18 16:56

Yeah, I'm getting the same thing, I hadn't tested it since wayland doens't work well on my test system. Needs reported upstream.

Nierro commented on 2014-03-18 16:41

I'm getting this error trying to compile enlightenment-git with wayland support:
http://pastie.org/8947973 .
This is the pkgbuild i'm using: http://pastie.org/8947978 (everything else is the same as yours pkgbuild).
Efl-git and elementary-git version: 1.9.99.25006.aad13a2-1 and 1.9.99.9620.cc827fe-1.

Scimmia commented on 2014-03-18 15:47

E is now able to run as a Wayland compositor, as announced in this blog post: http://e19releasemanager.wordpress.com/2014/03/18/by-your-powers-combined/

efl-git now has drm enabled, and has had wayland_shm enabled for a long time now, so you shouldn't have to make any changes there unless you want EGL. If you do, changing '--with-opengl=full' & '--disable-egl' to '--with-opengl=es' & '--enable-egl' will do it. If someone has a good argument for switching away from full opengl by default, I'm all ears.

There are a number of changes that need to be made to this package to build for wayland only, the readme quoted in the blog lays them out pretty well.

Scimmia commented on 2014-02-15 15:44

It's already there.

10ne1 commented on 2014-02-15 14:21

You should update the "conflicts" because the stable enlightenment18, not 17 are in the arch repos now

talonz commented on 2014-01-28 21:50

anyone having issues with nvidia and sepereate x servers on dual monitors, but seems to work fine with one xserver and no xinerama

enlightenment keeps crashing on me at login.

i'll get some crash logs when i get home just thought id post now to see if anyone else is having an issue too

Scimmia commented on 2014-01-20 20:06

This now includes the new packagekit module, please use it with caution. It will update your pacman database to check for updates, so you should never use pacman -S <packagename> if it module reports any packages that need updated. It's better to use pacman -Su <packagename> or pacman -Syu <packagename> to be safe.

Nierro commented on 2014-01-15 14:51

How can i run enlightenment as a wayland compositor?

Scimmia commented on 2014-01-15 05:39

Oh, and make sure to update elementary-git at the same time. I bumped the pkgver on it so that people with automated tools will get both updates.

Scimmia commented on 2014-01-15 05:38

All of the changes Mike has been working on for E19 have just been merged. He recommends backing up your configuration (~/.e/) in case you want to go back to E18 for a while. E19 has a rewrite of the compositor, so the changes behind the scenes are pretty major and require an update to your configuration that cannot be reversed.